package com.pcloud.common.dto;

import java.io.Serializable;
import java.util.Arrays;
import java.util.List;

/**
 * @描述：导出excel Dto
 * @作者：linweibin
 * @创建时间：2017年2月28日 下午9:15:33
 * @版本：1.0
 */
public class ExportDto implements Serializable{

	private static final long serialVersionUID = -7192915744500317224L;
	/**
	 * 标题
	 */
	private String title;
	/**
	 * 表格属性列名
	 */
	private String[] rowsName;
	/**
	 * 数据集
	 */
	private List<Object[]> dataList;
	
	/**
	 * UID
	 */
	private String UID;
	
	/**
	 * 是否导出完成
	 */
	private Boolean isOver;
	
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String[] getRowsName() {
		return rowsName;
	}
	public void setRowsName(String[] rowsName) {
		this.rowsName = rowsName;
	}
	public List<Object[]> getDataList() {
		return dataList;
	}
	public void setDataList(List<Object[]> dataList) {
		this.dataList = dataList;
	}
	public String getUID() {
		return UID;
	}
	public void setUID(String UID) {
		this.UID = UID;
	}
	public Boolean getIsOver() {
		return isOver;
	}
	public void setIsOver(Boolean isOver) {
		this.isOver = isOver;
	}
	@Override
	public String toString() {
		return "ExportDto [title=" + title + ", rowsName=" + Arrays.toString(rowsName) + ", dataList=" + dataList
				+ ", UID=" + UID + ", isOver=" + isOver + "]";
	}
}
